Subject: bug#36771: 27.0.50; mailcap documentation and effect missmatch

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Oct 2019 05:01:14 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> I tried digging into this code, but found mailcap.el too confusing overall...
>
> Yes, it's really, really confusing.
>
> There's so many reversals in the way things are sorted that it's amazing
> that it sometimes halfway works at all.
>
> I think I'll rewrite it some, and mark stuff explicitly where they came
> from (user/Emacs/system), and then use that to decide what to use.

I think this should perhaps now work on the trunk -- at least it works
in my test cases.  Could you test?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no